Hyper V disk pollster,the value of disk.read.requests/disk.write.requests/disk.read.bytes/disk.write.bytes always stay the same(which is always 0)

Bug #1250336 reported by Jun Xie on 2013-11-12
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
Fix Released
Low
Claudiu Belu
Havana
Fix Released
Low
Claudiu Belu

Bug Description

environment: Windows Server 2012 Datacenter,with hyper-V

[root@ac-1-151 ~]# nova list
+--------------------------------------+------------+--------+------------+-------------+-------------------+
| ID | Name | Status | Task State | Power State | Networks |
+--------------------------------------+------------+--------+------------+-------------+-------------------+
| 334362f2-0b9d-4de5-917c-309940c98dc1 | hyperv5566 | ACTIVE | None | Running | network1=10.0.1.3 |
+--------------------------------------+------------+--------+------------+-------------+-------------------+

# ceilometer sample-list -m disk.write.bytes|grep 334362f2-0b9d-4de5-917c-309940c98dc1
+--------------------------------------+------------------+------------+----------+------+----------------------------+
| Resource ID | Name | Type | Volume | Unit | Timestamp |
+--------------------------------------+------------------+------------+----------+------+----------------------------+
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T13:23:10 |
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T13:33:10 |
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T13:43:10 |
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T13:53:10 |
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T14:03:10 |
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T14:13:10 |
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T14:23:10 |
| 334362f2-0b9d-4de5-917c-309940c98dc1 | disk.write.bytes | cumulative | 0.0 | B | 2013-11-12T14:33:10 |

the volume always stays 0. And also the same for the volume of disk.read.requests/disk.write.requests/disk.read.bytes

log can be found here(seems there r no errors related to disk pollster): http://paste.openstack.org/show/51911/

2013-11-12 06:23:10.043 3084 INFO ceilometer.compute.manager [-] Polling pollster disk.read.bytes
2013-11-12 06:23:10.043 3084 DEBUG ceilometer.pipeline [-] Pipeline meter_pipeline: Transform sample <ceilometer.sample.Sample object at 0x034063B0> from 0 transformer _publish_samples C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\pipeline.py:208
2013-11-12 06:23:10.043 3084 AUDIT ceilometer.pipeline [-] Pipeline meter_pipeline: Publishing samples
2013-11-12 06:23:10.043 3084 AUDIT ceilometer.publisher.rpc [-] Publishing 1 samples on metering
2013-11-12 06:23:10.043 3084 DEBUG ceilometer.openstack.common.rpc.amqp [-] Making asynchronous cast on metering... cast C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\openstack\common\rpc\amqp.py:582
2013-11-12 06:23:10.059 3084 DEBUG ceilometer.openstack.common.rpc.amqp [-] UNIQUE_ID is d9b03bfda0b342108a63aee5db923f82. _add_unique_id C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\openstack\common\rpc\amqp.py:341
2013-11-12 06:23:10.059 3084 AUDIT ceilometer.pipeline [-] Pipeline meter_pipeline: Published samples
2013-11-12 06:23:10.059 3084 INFO ceilometer.compute.manager [-] Polling pollster network.incoming.packets
2013-11-12 06:23:10.059 3084 INFO ceilometer.compute.pollsters.net [-] checking instance 334362f2-0b9d-4de5-917c-309940c98dc1
2013-11-12 06:23:10.760 3084 INFO ceilometer.compute.manager [-] Polling pollster disk.read.requests
2013-11-12 06:23:10.760 3084 DEBUG ceilometer.pipeline [-] Pipeline meter_pipeline: Transform sample <ceilometer.sample.Sample object at 0x03406270> from 0 transformer _publish_samples C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\pipeline.py:208
2013-11-12 06:23:10.760 3084 AUDIT ceilometer.pipeline [-] Pipeline meter_pipeline: Publishing samples
2013-11-12 06:23:10.760 3084 AUDIT ceilometer.publisher.rpc [-] Publishing 1 samples on metering
2013-11-12 06:23:10.760 3084 DEBUG ceilometer.openstack.common.rpc.amqp [-] Making asynchronous cast on metering... cast C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\openstack\common\rpc\amqp.py:582
2013-11-12 06:23:10.760 3084 DEBUG ceilometer.openstack.common.rpc.amqp [-] UNIQUE_ID is 82aea5dc9bac426fa0ba924243520d68. _add_unique_id C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\openstack\common\rpc\amqp.py:341
2013-11-12 06:23:10.776 3084 AUDIT ceilometer.pipeline [-] Pipeline meter_pipeline: Published samples
2013-11-12 06:23:10.776 3084 INFO ceilometer.compute.manager [-] Polling pollster disk.write.bytes
2013-11-12 06:23:10.776 3084 DEBUG ceilometer.pipeline [-] Pipeline meter_pipeline: Transform sample <ceilometer.sample.Sample object at 0x03406250> from 0 transformer _publish_samples C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\pipeline.py:208
2013-11-12 06:23:10.776 3084 AUDIT ceilometer.pipeline [-] Pipeline meter_pipeline: Publishing samples
2013-11-12 06:23:10.792 3084 AUDIT ceilometer.publisher.rpc [-] Publishing 1 samples on metering
2013-11-12 06:23:10.792 3084 DEBUG ceilometer.openstack.common.rpc.amqp [-] Making asynchronous cast on metering... cast C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\openstack\common\rpc\amqp.py:582
2013-11-12 06:23:10.792 3084 DEBUG ceilometer.openstack.common.rpc.amqp [-] UNIQUE_ID is 930461b4399241f8a35b2daf414a2cbc. _add_unique_id C:\Program Files (x86)\IBM\SmartCloud Entry\Hyper-V Agent\Python27\lib\site-packages\ceilometer\openstack\common\rpc\amqp.py:341
2013-11-12 06:23:10.808 3084 AUDIT ceilometer.pipeline [-] Pipeline meter_pipeline: Published samples

Expected: the volumes should be Cumulative. So it seems that the wmi does not collect the right values.

Fix proposed to branch: master
Review: https://review.openstack.org/57014

Changed in ceilometer:
assignee: nobody → Claudiu Belu (cbelu)
status: New → In Progress

Reviewed: https://review.openstack.org/57014
Committed: http://github.com/openstack/ceilometer/commit/39c0ca654743513ab158fac399813a1a557ab61e
Submitter: Jenkins
Branch: master

commit 39c0ca654743513ab158fac399813a1a557ab61e
Author: Claudiu Belu <email address hidden>
Date: Mon Nov 18 05:27:31 2013 -0800

    Fixes Hyper-V Inspector disk metrics bug

    Changed disk metric names used by Hyper-V utils.

    Was using wrong metric names before. 'Aggregated Disk Data Read/Written'
    metrics refers to all disks (sum), while the metrics needs to be per disk.

    Change-Id: I4ec36152a8b8147069151dd6eb98f36f7aab9229
    Closes-Bug: 1250336

Changed in ceilometer:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-12-04
Changed in ceilometer:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
tags: added: hyper-v
Eoghan Glynn (eglynn) on 2014-03-27
Changed in ceilometer:
importance: Undecided → Low

Reviewed: https://review.openstack.org/83023
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=ebe72d54f78abd08e67052c9a4ef270ebf3c08d4
Submitter: Jenkins
Branch: stable/havana

commit ebe72d54f78abd08e67052c9a4ef270ebf3c08d4
Author: Claudiu Belu <email address hidden>
Date: Mon Nov 18 05:27:31 2013 -0800

    Fixes Hyper-V Inspector disk metrics bug

    Changed disk metric names used by Hyper-V utils.

    Was using wrong metric names before. 'Aggregated Disk Data Read/Written'
    metrics refers to all disks (sum), while the metrics needs to be per disk.

    (cherry picked from commit 39c0ca654743513ab158fac399813a1a557ab61e)

    Change-Id: I4ec36152a8b8147069151dd6eb98f36f7aab9229
    Closes-Bug: 1250336

Thierry Carrez (ttx) on 2014-04-17
Changed in ceilometer:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers